keyv-postgres

PostgreSQL storage adapter for Keyv

You should upgrade to keyv@2 and used the scoped PostgreSQL adapter @keyv/postgres
Last updated 3 years ago by lukechilds .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install keyv-postgres 
SYNC missed versions from official npm registry.

keyv-postgres keyv

PostgreSQL storage adapter for Keyv

Build Status Coverage Status npm

PostgreSQL storage adapter for Keyv.

Requires Postgres 9.5 or newer for ON CONFLICT support to allow performant upserts. Why?

Install

npm install --save keyv keyv-postgres

Usage

const Keyv = require('keyv');

const keyv = new Keyv('postgresql://user:pass@localhost:5432/dbname');
keyv.on('error', handleConnectionError);

You can specify the table option.

e.g:

const keyv = new Keyv('postgresql://user:pass@localhost:5432/dbname', { table: 'cache' });

License

MIT © Luke Childs

Current Tags

  • 1.0.6                                ...           latest (3 years ago)

8 Versions

  • 1.0.6 [deprecated]           ...           3 years ago
  • 1.0.5 [deprecated]           ...           3 years ago
  • 1.0.4 [deprecated]           ...           3 years ago
  • 1.0.3 [deprecated]           ...           3 years ago
  • 1.0.2 [deprecated]           ...           3 years ago
  • 1.0.1 [deprecated]           ...           3 years ago
  • 1.0.0 [deprecated]           ...           3 years ago
  • 0.1.0 [deprecated]           ...           3 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 1
Dependencies (2)
Dev Dependencies (9)
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |